Index: npl/commonservers/openldap_conf/openldap_conf.build
===================================================================
--- npl/commonservers/openldap_conf/openldap_conf.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/commonservers/openldap_conf/openldap_conf.build	(revision b7b790b7086943dd2e9ad550d5167667e877f092)
@@ -1,1 +1,1 @@
-6138
+6139
Index: npl/commonservers/openldap_conf/openldap_conf.md5
===================================================================
--- npl/commonservers/openldap_conf/openldap_conf.md5	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/commonservers/openldap_conf/openldap_conf.md5	(revision b7b790b7086943dd2e9ad550d5167667e877f092)
@@ -1,5 +1,5 @@
-ab9c980820843c8905078b752145d79a  ./openldap_conf.pkg
+f4a0dab71fdb0f1b3e5d235f4dd89b0d  ./openldap_conf.pkg
 aee0cd9d2d52c0cd9c64e4110c13055a  ./openldap_conf.SlackBuild
-3af053396074de9e39edb09d8d676bc3  ./openldap_conf.SlackBuild.log.gz
+f8c3c4c47fd2bdab42b7a920bd3dddc5  ./openldap_conf.SlackBuild.log.gz
 12c6b4a9321d80e38228b15b3322da88  ./root/etc/openldap/ldap.conf.new
 d5cd7779a0b7c4bacd42fc612e0495b1  ./root/etc/openldap/minimum.ldif
@@ -23,5 +23,5 @@
 ea991b8ecbe7461a8a1e106e2a0a602a  ./root/etc/openldap/slapd.conf.mirror1.new
 19a23d46ccf41a0e8bb554c2bd73525f  ./root/etc/openldap/slapd.conf.mirror2.new
-8421f98e9a29e14b40d558aa6d34fa70  ./root/etc/postinst.d/post.openldap
+b27707233477d9908e94a071c5a13ef0  ./root/etc/postinst.d/post.openldap
 f9f0c7bd032391d7fcf57deacb663ee6  ./root/root/ldaprc
 1a33e9d4b16d1a7574fc5d021074ab5b  ./root/service/slapd/run
Index: npl/commonservers/openldap_conf/root/etc/postinst.d/post.openldap
===================================================================
--- npl/commonservers/openldap_conf/root/etc/postinst.d/post.openldap	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/commonservers/openldap_conf/root/etc/postinst.d/post.openldap	(revision b7b790b7086943dd2e9ad550d5167667e877f092)
@@ -23,5 +23,8 @@
 	sed -i "s/%ldap_passwd%/$PASSWD/" /etc/openldap/slapd.conf || exit 1
 fi
-	    
+
+#initalize config settings
+cd /usr/webint/htdocs/settings/
+php ldap_config.php init
 
 #upgrade aanwezig?
@@ -29,9 +32,9 @@
 	DB=`cat /etc/openldap/slapd.conf|grep ^directory|cut -f2`
 
-	
+
 	##### 1. exporteer de database
 	if ! [ -e $BACKUP ] && [ -e $DB/cn.* ]; then
 		echo "Dumping database"
-		#dumpen 
+		#dumpen
 		if ! slapcat > $BACKUP ; then
 			rm $BACKUP
@@ -40,5 +43,5 @@
 		fi
 		sync
-	
+
 		#verwijder de oude database van de disk
 		if ! [ -d $DB ]; then
@@ -48,11 +51,11 @@
 		rm $DB/* || exit 1
 		sync
-	fi	
-	
+	fi
+
 	#is er wat mis?
 	#Dit zal theoretisch niet voor kunnen komen:
 	if [ -e $BACKUP ] && [ -e $DB/cn.* ]; then
 		echo "Er ging wat mis met het upgraden van de database. U heeft nu zowel een dump file als een database, neem contact op met Syn-3 of los dit handmatig op."
-		exit 1    
+		exit 1
 	fi
 
@@ -64,5 +67,5 @@
 	rm -r /service/slurpd 2>/dev/null
 	rm -r /etc/openldap/schema -r 2>/dev/null
-	# we gebruiken nu syncrepl in mirror mode. 
+	# we gebruiken nu syncrepl in mirror mode.
 	# de .slave file is vervangen door slapd.conf.mirror1 en mirror2
         rm /etc/openldap/slapd.conf.slave 2>/dev/null
@@ -93,5 +96,5 @@
 	sed 's@include.*/schema/.*core.*@include /etc/openldap/schemas.conf@' -i /etc/openldap/slapd.conf.* || exit 1
 	sed 's@include.*/schema/@#&@' -i /etc/openldap/slapd.conf.* || exit 1
-	#genereer de schemas.conf opnieuw: 
+	#genereer de schemas.conf opnieuw:
 	#(gebeurd ook automatsich bij ldap restart)
 	syn3-ldapconf || exit 1
@@ -106,6 +109,6 @@
 		#filter ACI's er uit, deze zijn veranderd en werken niet meer, maar zijn ook niet nodig.
 		#filter een duplicate entryUUID eruit
-		cat $BACKUP | 
-			grep -v "^OpenLDAPaci" | 
+		cat $BACKUP |
+			grep -v "^OpenLDAPaci" |
 			grep -v "^entryUUID: 482c8c22-b202-1028-9c4d-d9ea740d6018" |
 			slapadd -q || exit 1
Index: npl/commonservers/radius_conf/radius_conf.build
===================================================================
--- npl/commonservers/radius_conf/radius_conf.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/commonservers/radius_conf/radius_conf.build	(revision b7b790b7086943dd2e9ad550d5167667e877f092)
@@ -1,1 +1,1 @@
-2
+3
Index: npl/commonservers/radius_conf/radius_conf.md5
===================================================================
--- npl/commonservers/radius_conf/radius_conf.md5	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/commonservers/radius_conf/radius_conf.md5	(revision b7b790b7086943dd2e9ad550d5167667e877f092)
@@ -1,7 +1,7 @@
-4b7070f08d09041f4bc79db97c447980  ./radius_conf.pkg
+79128827f35f5db8c81bce21a8f14e91  ./radius_conf.pkg
 d0a1aa910d8789a30f169a5f8f97b5a1  ./radius_conf.SlackBuild
-00a6001f8295a7c919505de643e4cdd6  ./radius_conf.SlackBuild.log.gz
+949791155f2b1afad7080c8744ac6108  ./radius_conf.SlackBuild.log.gz
 e7c9c560c9355252dd5acf6da3c8c373  ./root/etc/logrotate.d/radius
-a4d228ed171e0794ac9fead55f96505c  ./root/etc/postinst.d/post.radius
+fc678c54379efd13620deb6e9862f2e3  ./root/etc/postinst.d/post.radius
 602c3c8baf57abf04433843b251b21c9  ./root/home/system/radius/raddb/acct_users
 24958dbed540952e6522a135ccf8f500  ./root/home/system/radius/raddb/attrs
Index: npl/commonservers/radius_conf/root/etc/postinst.d/post.radius
===================================================================
--- npl/commonservers/radius_conf/root/etc/postinst.d/post.radius	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/commonservers/radius_conf/root/etc/postinst.d/post.radius	(revision b7b790b7086943dd2e9ad550d5167667e877f092)
@@ -7,7 +7,4 @@
 chmod 700 /home/system/radius
 
-#needed to create group
-/sbin/postinst.sh post.openldap
-svcstart /service/slapd/  
 
 if ! ( getent group | grep "Windows VPN - pptp" &> /dev/null ) ; then
Index: npl/syn3/webint/src/settings/ldap_config.php
===================================================================
--- npl/syn3/webint/src/settings/ldap_config.php	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/syn3/webint/src/settings/ldap_config.php	(revision b7b790b7086943dd2e9ad550d5167667e877f092)
@@ -1,3 +1,3 @@
-<? 
+<?
 /*
 	System configuration stuff for LDAP
@@ -13,5 +13,5 @@
 	$ldap_conn=ldap_connect($server);
 	ldap_set_option($ldap_conn, LDAP_OPT_PROTOCOL_VERSION, 3);
-	
+
 	//first test if the server is reacable, since ldap apicalls
 	//hang indefinitly!!
@@ -19,5 +19,5 @@
 	if ($err)
 		return ($err);
-		
+
 	if (!ldap_bind($ldap_conn, $auth, $passwd))
 	{
@@ -37,5 +37,5 @@
 {
 	global $Set;
-	// modify /etc/hosts..			
+	// modify /etc/hosts..
 	// If LDAP_SLAVE_SERVER is emtpy, we use the same ip as the MASTER_SERVER, to prevent
 	// annoying timeouts from some services. (like slapd and smbd)
@@ -44,25 +44,25 @@
 		FileReplaceLine("/etc/hosts","/ldap-slave/","$Set[LDAP_SLAVE_SERVER]\t\tldap-slave");
 	else
-		FileReplaceLine("/etc/hosts","/ldap-slave/","$Set[LDAP_MASTER_SERVER]\t\tldap-slave");	
-	
+		FileReplaceLine("/etc/hosts","/ldap-slave/","$Set[LDAP_MASTER_SERVER]\t\tldap-slave");
+
 	//update smbldap tools password
 	FileReplaceLine("/etc/smbldap-tools/smbldap_bind.conf",
 			"/slavePw/",
 			'slavePw="'.$Set[LDAP_SLAVE_PASSWD].'"');
-	
+
 	FileReplaceLine("/etc/smbldap-tools/smbldap_bind.conf",
 			"/masterPw/",
 			'masterPw="'.$Set[LDAP_MASTER_PASSWD].'"');
-			
-	
+
+
 	//SET the master and slave passwords in the appropriate slapd config files
 	FileReplaceLine("/etc/openldap/slapd.conf.master","/^rootpw/","rootpw\t\"$Set[LDAP_MASTER_PASSWD]\"");
 	FileReplaceLine("/etc/openldap/slapd.conf.mirror1","/^rootpw/","rootpw\t\"$Set[LDAP_MASTER_PASSWD]\"");
 	FileReplaceLine("/etc/openldap/slapd.conf.mirror2","/^rootpw/","rootpw\t\"$Set[LDAP_SLAVE_PASSWD]\"");
-	
+
 	//SUPPLY the master and slave passwords, so the mirrors can connect eachother.
 	FileReplaceLine("/etc/openldap/slapd.conf.mirror1","/^\s*credentials=/","\tcredentials=\"$Set[LDAP_SLAVE_PASSWD]\"");
 	FileReplaceLine("/etc/openldap/slapd.conf.mirror2","/^\s*credentials=/","\tcredentials=\"$Set[LDAP_MASTER_PASSWD]\"");
-	
+
 	// point the ldap.conf symlink to the correct configfile.
 	if ($Set[LDAP_MODE]=="master")
@@ -81,10 +81,10 @@
 {
 	global $Set;
-	
+
 	LogWarn(_ChangingLDAPSettings());
-	
+
 	//shutdown ldap first
 	SvcDown("slapd");
-	
+
 	//store the new config settings
 	StoreLDAPSettings();
@@ -92,5 +92,5 @@
 	// empty the slave database
 	SafeExec("rm /home/system/openldap/openldap-slave/* ; exit 0");
-	
+
 	//restart ldapd if neccesary
 	if ($Set[LDAP_MODE] != "none")
@@ -101,2 +101,6 @@
 
 }
+
+
+if ($_SERVER['argv'][1]=="init")
+    StoreLDAPSettings();
Index: npl/syn3/webint/webint.build
===================================================================
--- npl/syn3/webint/webint.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/syn3/webint/webint.build	(revision b7b790b7086943dd2e9ad550d5167667e877f092)
@@ -1,1 +1,1 @@
-6563
+6564
Index: npl/syn3/webint/webint.md5
===================================================================
--- npl/syn3/webint/webint.md5	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/syn3/webint/webint.md5	(revision b7b790b7086943dd2e9ad550d5167667e877f092)
@@ -1012,5 +1012,5 @@
 8a4c7efcb2acc5e295fd2a844188eefe  ./src/settings/lang_ptD.php
 6a6153994b0fad450cc89b93ef32e168  ./src/settings/lang_pt.php
-192e1561bc5a5b5df32e706a310d8796  ./src/settings/ldap_config.php
+4b06d82cb5c94dfc2e6da56732cb5b24  ./src/settings/ldap_config.php
 eac713931bc54cae0d7e9549434a713a  ./src/settings/ldap.php
 7239b66540c4bd611ff3663109eabe5e  ./src/settings/menuman.php
@@ -1051,5 +1051,5 @@
 bd3552018c148af941b0811db4eb3cfc  ./src/trafficcontrol/menuman.php
 f6eca05e831102daa8dcf87d5bf2a33d  ./src/trafficcontrol/settings.php
-91de0d7d246f4b9f6fdb0d0d2f14fd3c  ./src/trafficcontrol/trafficcontrol.php
+2e28e94244f15d3e95de52605aa8da0b  ./src/trafficcontrol/trafficcontrol.php
 891ddc9d456ba3fc25fedbe52316d8d4  ./src/traffic/edittc.php
 c8417535586cd231abe520a58c6080eb  ./src/traffic/lang_deD.php
@@ -1160,6 +1160,6 @@
 3d8b121024940b3004ca67bacb88b74e  ./updatelang.sh
 e15c0d77cf349ff3f2c55bf1b48ea567  ./upload.sh
-f8eb0845a6df6d7feb5e53cc437fd971  ./webint.pkg
+1ac7a3c76a6c547dd79dab2ac72c76f3  ./webint.pkg
 05d46c478b4e8c14eafeb686a5b8c064  ./webint.SlackBuild
-83e26534916d5989dd01f6c50a3dfe15  ./webint.SlackBuild.log.gz
+fb38dd13fa0539525d98fec0e6e2f261  ./webint.SlackBuild.log.gz
 693ffd7c59a1fe2b34276bec14f3ebfb  ./zones.conf
